Skip to Content

SAP EAM SDK for iOS11

Dear expert,

What is the version of the SAP EAM SDK supporting iOS11 (64bit)

Is it available from SAP Software Download Center?

This SDK is needed to re-build a Work Manager 6.4 (version 70.15.7) app with GIS and 3D Visual Enterprise support.

Regards.

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

4 Answers

  • Best Answer
    Jan 02 at 05:58 AM

    My understanding is that it a new SAP EAM SDK will be released along with SAP Work Manager 6.5 that will include the 64 bit support needed to build and run under iOS 11.

    --Bill

    Add comment
    10|10000 characters needed characters exceeded

  • Jan 10 at 04:00 PM

    Hi Bill,

    The SAP EAM MOBILE APP SDK 2.2 has just been released. Is it supporting iOS11 (64bits)?

    If not would you have a target date and SDK version ? (WM6.5 is already available)

    Regards.

    Add comment
    10|10000 characters needed characters exceeded

  • Sep 06 at 05:00 PM

    Hi Bill,

    The SAP EAM MOBILE APP SDK 2.2.1 has been released and it now contains the VisualEnterprise.framework

    I success to build a running iOS11 application with GIS, but when I add the VisualEnterprise.framework i am getting this error in xcode during the build:

    /Users/xxxxxx/Desktop/SWIM/iOS-70.15.7/VisualEnterprise.framework/Versions/2.2.1/Resources/HotspotActions.nib:0: error: reading plist: The data couldn’t be read because it isn’t in the correct format.

    Any clue. Regards.

    Add comment
    10|10000 characters needed characters exceeded

  • 14 hours ago

    Hi,

    I fixed the problem by removing the VEResources folder from xcode and recreating the VEResources with drag and drop.

    Regards.

    Add comment
    10|10000 characters needed characters exceeded